Grace and redemption periods

renewPeriod

The domain was renewed within the last 5 days.

EPP status
renewPeriod
RDAP status
renew period
Set by
Registry system

What it means

The registrar can cancel the renewal for a refund during this period.

What you can do

Nothing. The status clears automatically.

Related codes

EPP statuses are defined in RFC 5731 and RFC 3915; RFC 8056 maps them to RDAP.